---
title: "Advisors and Impact"
weight: 2

---

## Advisory board
{{< cardpane >}}
  {{< card header="Thomas Abeel" title="Department of Intelligent Systems" subtitle="Pattern Recognition and Bioinformatics group">}}
  <img src="/img/thomas.abeel.png" alt="Thomas Abeel" width="500" height="600">
  {{< /card >}}
  {{< card header="Frans Oliehoek" title="Department of Intelligent Systems" subtitle="Interactive Intelligence group">}}

  <img src="/img/frans.oliehoek.png" alt="Frans Oliehoek" width="500" height="600">
  {{< /card >}}
  {{< card header="Asterios Katsifodimos" title="Software Technology Department" subtitle="Web Informatics group">}}
  <img src="/img/asterios.katsifodimos.png" alt="Asterios Katsifodimos" width="500" height="600">
  {{< /card >}}
{{< /cardpane >}}



## Citation and Acknowledgement

To help demonstrate the impact of DAIC, we ask that you both _**cite**_ and _**acknowledge**_ DAIC in your scientific publications. Please use the following formats:

{{< tabpane langEqualsHeader=true >}}

{{% tab header="**Citation**:" disabled=true right=false /%}}

{{% tab header="**APA**" text=true  %}}
Delft AI Cluster (DAIC). (2024). The Delft AI Cluster (DAIC), RRID:SCR_025091. https://doi.org/10.4233/rrid:scr_025091
{{% /tab %}}

{{< tab header="**BibTeX**" lang=bibtex >}}
@misc{DAIC,
  author = {{Delft AI Cluster (DAIC)}},
  title = {The Delft AI Cluster (DAIC), RRID:SCR_025091},
  year = {2024},
  doi = {10.4233/rrid:scr_025091},
  url = {https://doc.daic.tudelft.nl/}
}
{{< /tab >}}


{{< tab header="**RIS(EndNote/RefMan)**" lang=ris >}}
TY  - DATA
T1  - The Delft AI Cluster (DAIC), RRID:SCR_025091
UR  - https://doi.org/10.4233/rrid:scr_025091
PB  - TU Delft
PY  - 2024
{{< /tab >}}

{{< /tabpane >}}


{{< card header="**Acknowledgement text**" >}}
Research reported in this work was partially or completely facilitated by computational resources and support of the Delft AI Cluster (DAIC) at TU Delft (RRID: <a href="https://doi.org/10.4233/rrid:scr_025091">SCR_025091</a>), but remains the sole responsibility of the authors, not the DAIC team.
{{< /card >}}


## Scientific impact in numbers
Since 2015, DAIC has facilitated more than 2000 scientific outputs from the various DAIC-participating departments:


|                 | Article | Conference/Meeting contribution | Book/Book chapter/Book editing | Dissertation (TU Delft) | Abstract | Other | Editorial | Patent | **Grand Total** |
| --------------- | --------------------- | -------------------- | ------------------------ | ---------------- | --------- | -------------- | ----------------------------- | ------------------------- | --------------- |
| **Grand Total** | 1067               | 854              | 123                    | 99           | 69     | 32         | 29                         | 8                    | **2281**        |

These outputs span a wide range of application areas, with titles reflecting an emphasis on data analysis and machine learning:

{{< figure src="/img/common_words_outputs.png" caption="Wordcloud of the most common words in titles of Scientific outputs produced via DAIC" ref="fig:daic_wordcloud">}}

{{% alert title="Reference" color="info" %}}

The table and wordcloud provided here are based on retrospective retrieval of all DAIC users' scientific outputs between 2015-2023 from TU Delft's Pure database.
The data has been generated by the [Strategic Development – Data Insights team](https://www.youtube.com/watch?v=RIq_-TEIkQI).

{{% /alert %}}

## Publications using DAIC

{{% alert title="Note" color="info" %}}
he compilation of the following list is done retrospectively by the Data Insights team and/or is based on self-reporting by individual researchers. As a result, it may not be exhaustive nor complete. If your publication is missing, please let us know by posting it to the [ScientificOutput MatterMost channel](https://mattermost.tudelft.nl/daic/channels/scientificoutput).
{{% /alert %}}
