---
title: "Contributors and funding"
weight: 1

---

The Delft AI Cluster (DAIC) - formerly known as INSY-HPC or just plainly HPC-  was initiated within the INSY department in 2015. Later, resources were joined with ST, collectively called _CS@Delft_, and with other departments across faculties in subsequent expansion cycles. 


{{% alert title="Joining DAIC?" color="primary" %}}
If you are interested in joining DAIC as a contributor, please contact us via this [TopDesk DAIC Contact Us form](https://tudelft.topdesk.net/tas/public/ssp/content/serviceflow?unid=889f49ca2fe440539cbd713918432046&openedFromService=true).
{{% /alert %}}




## Contributing departments



The cluster is available (only) to users from participating departments, and access can be arranged through the department's contact persons (see [Access and accounts](/docs/policies#access-and-accounts)).


<table>
<caption> Table 1: Current partitions within DAIC and contributing TU Delft departments/faculties.
</caption>
<thead>
  <tr>
    <th>I</th>
    <th>DAIC partition</th>
    <th>Contributor</th>
    <th>Faculty</th>
    <th>Faculty abbreviation (English/Dutch)</th>
  </tr>
</thead>
<tbody>
  <tr>
    <td>1</td>
    <td>3dgi</td>
    <td><a href="https://3d.bk.tudelft.nl/"><img src="/img/logo_3dgi.png" height=20 width=60/>3D Geoinformation</a></td>
    <td rowspan="2"><a href="https://www.tudelft.nl/en/architecture-and-the-built-environment">  Faculty of Architecture and the Built Environment</a></td>
    <td rowspan="2">ABE/BK</td>
  </tr>
    <tr>
    <td>2</td>
    <td></td>
    <td><a href="https://www.tudelft.nl/en/architecture-and-the-built-environment/about-the-faculty/departments/architecture">Architecture</a></td>
  </tr>
  <tr>
    <td>3</td>
    <td>asm</td>
    <td> <a href="https://www.tudelft.nl/en/ae/organisation/departments/aerospace-structures-and-materials"> <img src="/img/logo_asm.png" height=20 width=70/> Aerospace Structures and Materials</a></td>
    <td rowspan="2"><a href="https://www.tudelft.nl/en/ae">Faculty of Aerospace Engineering</a></td>
    <td rowspan="2">AE/LR</td>
  </tr>
    <tr>
    <td>4</td>
    <td></td>
    <td> <a href="https://www.tudelft.nl/en/ae/organisation/departments/control-and-operations"> Control and Operations</a></td>
  </tr>
  <tr>
    <td>5</td>
    <td>imphys</td>
    <td><a href="https://www.tudelft.nl/en/faculty-of-applied-sciences/about-faculty/departments/imphys">Imaging Physics</a></td>
    <td><a href="https://www.tudelft.nl/en/faculty-of-applied-sciences">Faculty of Applied Sciences</a></td>
    <td>AS/TNW</td>
  </tr>
  <tr>
    <td>6</td>
    <td>cor</td>
    <td><a href="https://www.tudelft.nl/me/over/afdelingen/cognitive-robotics-cor"><img src="/img/logo_cor.png" height=20 width=70/>Cognitive Robotics</a></td>
    <td><a href="https://www.tudelft.nl/en/me">Faculty of Mechanical Engineering</a></td>
    <td>ME</td>
  </tr>
  <tr>
    <td>7</td>
    <td>grs</td>
    <td><a href="https://www.tudelft.nl/citg/over-faculteit/afdelingen/geoscience-remote-sensing">Geoscience &amp; Remote Sensing</a></td>
    <td><a href="https://www.tudelft.nl/en/ceg">Faculty Of Civil Engineering and Geosciences</a></td>
    <td>CEG/CiTG</td>
  </tr>
  <tr>
    <td>8</td>
    <td>influence</td>
    <td rowspan="4"><a href="https://www.tudelft.nl/en/eemcs/the-faculty/departments/intelligent-systems">Intelligent Systems</a></td>
    <td rowspan="6"><a href="https://www.tudelft.nl/en/eemcs">Faculty of Electrical Engineering, Mathematics &amp; Computer Science</a></td>
    <td rowspan="6">EEMCS/EWI</td>
  </tr>
    <tr>
    <td>8</td>
    <td>prb</td>
  </tr>
  <tr>
  </tr>
  <tr>
    <td>9</td>
    <td>insy</td>
  </tr>
  <tr>
    <td>10</td>
    <td>st</td>
    <td><a href="https://www.tudelft.nl/ewi/over-de-faculteit/afdelingen/software-technology">Software Technology</a></td>
  </tr>
   <tr>
    <td>11</td>
    <td></td>
    <td><a href="https://sps.ewi.tudelft.nl/">Signal Processing Systems</a>, <a href="https://microelectronics.tudelft.nl/">Microelectronics</a></td>
  </tr>

</tbody>
</table>

## Funding sources
In addition to funding received from departmental sources, DAIC has also been financially supported by the following projects and granting sources:

{{< cardpane >}}
  {{< card header="NWO" title="" subtitle=""  >}}
  <a href="https://www.nwo.nl/en/researchprogrammes/nwo-talent-programme/projects-vidi">
	  <img src="https://bscs.umcg.nl/nl/wp-content/uploads/sites/2/2022/07/VIDI2.png" height=180 width=100/>
  </a>
  {{< /card >}}
  {{< card header="Horizon 2020" title="" subtitle=""  >}}
  <a href="https://research-and-innovation.ec.europa.eu/funding/funding-opportunities/funding-programmes-and-open-calls/horizon-2020_en">
	  <img src="/img/logo_eu-horizon2020.png"  >
  </a>
  {{< /card >}}
  
{{< /cardpane >}}

{{< cardpane >}}
{{< card header="Epistemic AI" title="" subtitle=""  >}}
  <a href="https://www.epistemic-ai.eu/home">
	  <img src="/img/logo-epistemic-ai.png"  />
  </a>
  {{< /card >}}

   {{< card header="MMLL" title="" subtitle=""  >}}
    <a href="https://www.st.ewi.tudelft.nl/~mtjspaan/mmll/index_en.html">
	    <img src="/docs/introduction/images/funders_MMLLlogo.png" height=150 width=350 />
    </a>
  {{< /card >}}
{{< /cardpane>}}


{{< cardpane >}}
  {{< card header="Booking.com" title="" subtitle=""  >}}
  <a href="https://www.booking.com/">
	  <img src="https://eur03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fassets-global.website-files.com%2F658f265af26f3187eb6b03b0%2F65fa9bd046a7b0dba64008fe_1280px-Booking.com_logo.svg-p-500.png&data=05%7C02%7CA.E.Ahmed%40tudelft.nl%7C5897e06bc0cf49e02a5b08dc7a51e22b%7C096e524d692940308cd38ab42de0887b%7C0%7C0%7C638519739312808690%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C0%7C%7C%7C&sdata=KacApWStt6AIp2SeMlR2MqzHxoVuou7aJZuS7%2BwjXpY%3D&reserved=0" height=150 width=270/>
  </a>
  {{< /card >}}

   {{< card header="D-STANDARD" title="" subtitle=""  >}}
    <a href="https://d-standart.eu/">
	    <img src="https://www.nccuk.com/media/yiubuee4/d-standart_logotype_rvb_basique.png" height=150 width=270 />
    </a>
  {{< /card >}} 

{{< /cardpane >}}

{{< cardpane >}}

  {{< card header="Model-Driven Decisions Lab (MoDDL)" title="" subtitle=""  >}}
    <a href="https://www.tudelft.nl/en/moddl191223"> MoDDL
    </a>
  {{< /card >}} 

  {{< card header="Immersive Tech Lab" title="" subtitle=""  >}}
    Immersive Technology Lab, part of <a href="https://convergence.nl/launch-of-two-convergence-ai-labs/">
	     Convergence AI
    </a>
  {{< /card >}}  
 
{{< /cardpane >}}

{{< cardpane >}}

  {{< card header="Others" title="" subtitle=""  >}}
    <a href="https://daic.tudelft.nl/docs/introduction/#contributing-departments">
	    Contributing departments' funding
    </a>
  {{< /card >}}
 
{{< /cardpane >}}



